var conditionals = { }, i;

$('.has-conditional').each(function(){
	var $this = $(this),
		$inp = $this.find(':input'),
		cond = $inp.data('conditional'),
		val  = $inp.data('conditional-value');

	if(typeof conditionals[cond] == 'undefined'){
		conditionals[cond] = {
			$source: $(':input[name="fields[' + cond + ']"]'),
			targets: []
		};
	}
	conditionals[cond].targets.push({
		$el:  $this,
		$inp: $inp,
		val:  val
	});
});

// Set the change events
for(i in conditionals){
	conditionals[i].$source.change(function(){
		var val = $(this).val(), ii;
		for(ii in conditionals[i].targets){
			if(conditionals[i].targets[ii].val == val){
				conditionals[i].targets[ii].$el.show();
			}
			else{
				conditionals[i].targets[ii].$el.hide();
			}
		}
	}).change();
}