<main class="width-wrapper">
	<h1>Custom Forms</h1>

    {if !count($forms)}
		<p class="message-tutorial">
			There are no forms created yet!
			<br/>
            {a href="/formbuilder/create" class="button" title="Create New Form"}
				<i class="icon icon-add"></i>
				<span>Create New Form</span>
            {/a}
		</p>
    {/if}

	<ul class="tile-container">
        {foreach $forms as $form}
			<li class="tile">
				<div class="tile-title">
					{a href="/formbuilder/listing/`$form.id`" title="View Submissions"}
                    	{$form->get('title', 'text/html')}
					{/a}
				</div>
				<p class="tile-description">
					Fields: {$form->getFieldCount()}<br/>
					Submissions: {$form->getSubmissionCount()}

                    {if $form->getUnreadSubmissionCount() > 0}
						<span class="badge">
						{$form->getUnreadSubmissionCount()} New
					</span>
                    {/if}
				</p>
				<div class="tile-controls">
                    {controls model=$form}
				</div>
			</li>
        {/foreach}
	</ul>
</main>
