<div class="width-wrapper">
	<h1>{$formname} Submission on {date "`$entry.created`" format="SD"}</h1>

	<p>
		{foreach $entry->getLink('FormBuilderEntryField') as $field}
			{$field.title}: {$field->get('value', 'text/html')}
			<br/>
		{/foreach}
	</p>

	<p>
		<br/><em>--- Technical Information ---</em><br/>
		Date Submitted: {date date="`$entry.created`" format="r"}<br/>
		IP Address: {geoiplookup $entry.ip} {$entry.ip}<br/>
		User: {user $entry.user_id}<br/>
		User Agent: {$entry.useragent|user_agent}<br/>
		Source Page: {$entry.source_page}<br/>
		Referrer: {if $entry.referrer}{$entry.referrer}{else}None Available{/if}<br/>
	</p>

	{if $entry.spam_checks}
		<p>
			<br/><em>--- Spam Checks ---</em><br/>
			{$entry.spam_checks|nl2br}
		</p>
	{/if}
</div>