<!--<p>
	To access and enable/disable your API keys, use the <a href="https://code.google.com/apis/console" target="_BLANK">Google API dashboard</a>.
</p>-->

<main class="width-wrapper">

	<h1>Configure Google Services</h1>

	{$form->render('head')}
	{$form->render('system')}

	<p class="message-tutorial">
		Setting your Google API key will enable additional advanced Google services to be used.
		<br/><br/>
		To create or retrieve your Google API key, access the
		<a href="https://console.developers.google.com/apis/credentials" target="_blank">Google API Credentials Dashboard</a>
		and copy/paste your API key.
		<br/><br/>
		Please note, that you will also need to ensure the necessary services are enabled for this API Key!
	</p>

	<p>
		For more information about what services this key manages, take a look at the listed Google services.
	</p>

	<ul>
		<li>
			<a href="https://console.developers.google.com/apis/library/maps-backend.googleapis.com" target="_blank">
				Maps Javascript API
			</a>
		</li>
		<li>
			<a href="https://console.developers.google.com/apis/library/geocoding-backend.googleapis.com" target="_blank">
				Geocoding API
			</a>
		</li>
		<li>
			<a href="https://console.developers.google.com/apis/library/webfonts.googleapis.com" target="_blank">
				Web Fonts Developer API
			</a>
		</li>
	</ul>

	<br/>
	{$form->render('config[/google/services/public_api_key]')}

	<hr/>

	{$form->render('submitbtn')}

	{$form->render('foot')}

</main>
