<h1>Navigation Menus</h1>

<p class="message-tutorial">
	Navigation menus provide user navigation to various pages on the site and to external pages.
	Each menu can have different links, and be installed in different widget areas on pages or skins.
</p>


<section class="listing-collection">
	{foreach $models as $model}
        {include file='includes/navigation/admin_editor.tpl'}
	{/foreach}

	{assign var=model value=null}
    {include file='includes/navigation/admin_editor.tpl'}
</section>


<script type="text/template" id="navigation-entry-template">
	<li
		class="entry type-[%%type%%] target-[%%target%%]"
		id="entry-[%%id%%]"
		data-id="[%%id%%]"
		data-type="[%%type%%]"
		data-url="[%%url%%]"
		data-target="[%%target%%]"
		data-title="[%%title%%]"
		data-parent="[%%parent%%]"
		data-status="[%%status%%]"
	>
		<i class="icon icon-long-arrow-alt-right hint-nested-link" title="Nested Link"></i>
		<i class="icon icon-external-link-alt hint-type-ext" title="External Link"></i>
		<i class="icon icon-link hint-type-int" title="Internal Page"></i>
		<i class="icon icon-hashtag hint-type-none" title="Text Label"></i>
		<i class="icon icon-object-ungroup hint-target-blank" title="Opens in New Window"></i>
		<span class="entry-title-label">[%%title%%] - [%%url%%]</span>
		<div class="control-links">
			<a href="#" class="edit-entry-link">
				<i class="icon icon-edit"></i>
				<span>Edit</span>
			</a>
			<a href="#" class="delete-entry-link">
				<i class="icon icon-times"></i>
				<span>Remove</span>
			</a>
			<a href="#" class="undo-delete-entry-link">
				<i class="icon icon-undo"></i>
				<span>Undo Remove</span>
			</a>
		</div>
	</li>
</script>

<div class="add-entry-options add-entry-options-int" style="display:none;">
	<input type="hidden" name="id"/>

	<div class="formelement">
		<label>Page</label>
		<select name="url">
			<option value="">-- Select Page --</option>
            {foreach from=$pages item='title' key='baseurl'}
				<option value="{$baseurl}">
                    {$title}
				</option>
            {/foreach}
		</select>
	</div>

	<div class="formelement">
		<label>Label/Title</label>
		<input type="text" name="title"/>
	</div>

	<div class="formelement">
		<label>Opens in</label>
		<select name="target">
			<option value="">Current Window</option>
			<option value="_BLANK">New Window</option>
		</select>
	</div>

	<div class="formelement">
		<a href="#" class="button submit-btn"><i class="icon icon-add"></i> Add/Update Entry</a>
	</div>
</div>

<div class="add-entry-options add-entry-options-ext" style="display:none;">
	<input type="hidden" name="id"/>

	<div class="formelement">
		<label>URL</label>
		<input type="url" name="url"/>
		<!--<p class="formdescription">Please ensure to include the http:// or other protocol.</p>-->
	</div>

	<div class="formelement">
		<label>Label/Title</label>
		<input type="text" name="title"/>
	</div>

	<div class="formelement">
		<label>Opens in</label>
		<select name="target">
			<option value="">Current Window</option>
			<option value="_BLANK">New Window</option>
		</select>
	</div>

	<div class="formelement">
		<a href="#" class="button submit-btn"><i class="icon icon-add"></i> Add/Update Entry</a>
	</div>
</div>

<div class="add-entry-options add-entry-options-none" style="display:none;">
	<input type="hidden" name="id"/>

	<div class="formelement">
		<label>Label/Title</label>
		<input type="text" name="title"/>
	</div>

	<div class="formelement">
		<a href="#" class="button submit-btn"><i class="icon icon-add"></i> Add/Update Entry</a>
	</div>
</div>


{css src="assets/css/navigation.css"}{/css}
{script src="js/navigation/manager2.js"}{/script}
{script name="jqueryui.nestedSortable"}{/script}
{script library="notify"}{/script}
{script location="foot"}<script>
	(() => {
		document.querySelectorAll('.navigation-menu-manager').forEach(el => {
			new NavigationManager2(el);
		});

		{if !count($models)}
			setTimeout(() => {
				document.querySelector('.navigation-menu-manager').classList.remove('collapsed');
				document.querySelector('.navigation-menu-manager').classList.add('expanded');
			}, 1000);
		{/if}
	})();

</script>{/script}