
{if sizeof($elements)}
	<fieldset
		class="listing-filters collapsible {if !$filtersset}collapsed{/if}"
	>
		<div class="fieldset-title" data-group="listing-table-sidebar">
			{t 'STRING_FILTERS'}
			<i class="icon icon-chevron-down expandable-hint"></i>
			<i class="icon icon-chevron-up collapsible-hint"></i>
		</div>

		<div class="fieldset-content">
			{if $readonly}
				{foreach $elements as $element}
					{if $element->get('value')}
						{$element->get('title')}:
						{$element->getValueTitle()}
					{/if}
				{/foreach}
			{else}
				<form action="" method="GET">
					{foreach $elements as $element}
						{$element->render()}
					{/foreach}
					
					{if sizeof($elements) > 3}
						<hr class="listing-filters-break"/>
					{/if}

					<!-- Render a submit button so 'Enter' works... -->
					<input type="submit" style="display:none;"/>

					<div class="button-group">
						<a href="?reset=1" class="button reset-filters button-reset">
							<i class="icon icon-times"></i>
							<span>{t 'STRING_RESET'}</span>
						</a>

						<a href="#" class="button apply-filters button-apply">
							<i class="icon icon-ok"></i>
							<span>{t 'STRING_APPLY'}</span>
						</a>
					</div>
				</form>
			{/if}
		</div>


		{* Disable this until a better way to display results is achieved. *}
		{*
		{if $filtersset}
			<div class="print">
				{foreach $elements as $element}
					{if $element->get('value')}
						{$element->get('title')}:
						{$element->getValueTitle()}
						&nbsp;&nbsp;&nbsp;
					{/if}

				{/foreach}
			</div>
		{/if}
		*}
	</fieldset>
{/if}

{*script library="jquery"}{/script*}
{script location="foot"}<script>
	$(function(){
		$('.apply-filters').click(function(){
			$(this).closest('form').submit();
			return false;
		});
		$('.hide-filters').click(function() {
			var $f = $(this).closest('fieldset');
			$f.find('.collapsible-contents').hide();
			$f.removeClass('expanded').addClass('collapsed');
			return false;
		});
	});
</script>{/script}
