<ul class="listing-collection health-checks">
	{foreach $checks as $check}
		<li class="health-check health-check-{$check->result|strtolower} collection-item">
			<div class="collection-item-title">
                {if $check->result == 'GOOD'}
					<i class="icon icon-check status-icon"></i>
                {elseif $check->result == 'SKIP'}
					<i class="icon icon-ban status-icon"></i>
                {elseif $check->result == 'WARN'}
					<i class="icon icon-exclamation-triangle status-icon"></i>
                {elseif $check->result == 'ERRR'}
					<i class="icon icon-times-circle-o status-icon"></i>
                {/if}

                {$check->title}
			</div>

			
			{if $check->link}
				<div class="collection-item-sidenote">
                    {if $check->result == 'GOOD'}
                        {a href="`$check->link`" class="button"}{t 'STRING_MORE_INFORMATION'}{/a}
                    {else}
                        {a href="`$check->link`" class="button"}{t 'STRING_FIX'}{/a}
                    {/if}
				</div>
			{/if}
			
			{if $check->description}
				<div class="collection-item-description">
                    {$check->description}
				</div>
			{/if}
		</li>
	{/foreach}
</ul>

{script library="jquery"}{/script}
{script location="foot"}<script>
	$(function() {
		$('.expandable-hint').click(function() {
			var $this = $(this),
				$li = $this.closest('li'),
				$less = $li.find('.collapsible-hint'),
				$details = $li.find('.expandable-content');
			
			$this.hide();
			$less.show();
			$details.show();
			
			return false;
		});

		$('.collapsible-hint').click(function() {
			var $this = $(this),
				$li = $this.closest('li'),
				$more = $li.find('.expandable-hint'),
				$details = $li.find('.expandable-content');

			$this.hide();
			$more.show();
			$details.hide();

			return false;
		});
	});
</script>{/script}