<ul class="installer-progress">
	<li>
		Requirement Checks
	</li>
	<li>
		Configuration
	</li>
	<li>
		Database
	</li>
	<li>
		Deploy Configuration
	</li>
	<li>
		Complete
	</li>
</ul>

<h1>Let's Get Started!</h1>

<section class="sponsorship">
	<h2>Professional Installation Available</h2>
	<p class="sponsorship-note">
		Sponsored Option
	</p>
	<p>
		Interested in a completely hands-off installation and configuration?  Professional consultant services may be available!
	</p>
	<p style="text-align: center;">
		<a class="button" href="https://eval.agency/contact" target="_blank">
			Contact eVAL Agency
		</a>
	</p>
</section>

<hr/>

{if $is_writable}
	{if $is_cpanel}
		<h2>Automated CPanel Installation Ready!</h2>
		<p class="message-success">
			You're ready to start installing Core Plus!<br/><br/>
			We have detected that you are running CPanel {$cpanel_version}.
		</p>
	{else}
		<h2>Automated Installation Ready!</h2>
		<p class="message-success">
			You're ready to start installing Core Plus!
		</p>
	{/if}
{else}
	{if $is_cpanel}
		<h2>Manual CPanel Installation Available</h2>
		<p class="message-info">
            {$root_pdir} is not writable by <code>{$current_user}</code>.<br/><br/>
			This is fine, but expect to perform some manual steps during installation.
			<br/><br/>
			Additionally, you may need to perform manual steps from within WHM to
			complete installation.  If you are uncomfortable or unable to perform these,
			your system administrator will be able to assist with the information provided
			during installation.
		</p>
	{else}
		<h2>Manual Installation Available</h2>
		<p class="message-info">
            {$root_pdir} is not writable by <code>{$current_user}</code>.<br/><br/>
			This is fine, but expect to perform some manual steps during installation.
			<br/><br/>
			If you would like to enable the automated installer and have root access,
			you can <code>chown</code> the contents to be writable by the web server.
			This is optional, but will make installation and updates easier.
		</p>
	{/if}
{/if}

<form action="" method="POST">
	<input type="hidden" name="_submit" value="welcome"/>
	<input type="submit" value="Start The Installer!"/>
</form>

<hr/>


<h2>Command Line Interface Installer</h2>

<p>
	Core Plus also provides a <abbr title="Command Line Interface">CLI</abbr> at {$root_pdir}/cli.
	<br/><br/>
	This is a more advanced feature, but still relatively easy to use if you have access to SSH.
	Installation, (for example), can be performed by the following example:
</p>

<pre class="code-shell"><code><span class="cli-line">cd "{$root_pdir}"</span>
<span class="cli-line">./cli /install</span>
</code></pre>
