{if $theme_listing_type != 'None'}
	<div
		vocab="http://schema.org/"
		typeof="{$theme_listing_type}"
		class="listing-schema-information{if $theme_listing_phone} has-phone{/if}{if $theme_listing_email} has-email{/if}"
	>
		{if $theme_listing_name}
			<span property="name" class="listing-schema-name">{$theme_listing_name}</span>
		{/if}

		{if $theme_listing_address}
			<div property="address" typeof="PostalAddress" class="listing-schema-address">
				<span property="streetAddress" class="listing-schema-address-address">{$theme_listing_address}</span>
				{if $theme_listing_city && $theme_listing_province}
					<span property="addressLocality" class="listing-schema-address-city">{$theme_listing_city}</span>,
					<span property="addressRegion" class="listing-schema-address-province">{$theme_listing_province}</span>
				{/if}
				{if $theme_listing_postal}
					<span property="postalCode" class="listing-schema-address-postal">{$theme_listing_postal}</span>
				{/if}
			</div>
		{/if}
		{if $theme_listing_phone}
			<span class="listing-schema-phonelabel">Phone: </span>
			<span property="telephone" class="listing-schema-phone">{$theme_listing_phone}</span>
		{/if}
		{if $theme_listing_fax}
			<span class="listing-schema-faxlabel">Fax: </span>
			<span property="faxNumber" class="listing-schema-fax">{$theme_listing_fax}</span>
		{/if}
		{if $theme_listing_email}
			<span class="listing-schema-emaillabel">Email: </span>
			<span property="email" class="listing-schema-email">{$theme_listing_email}</span>
		{/if}
		{if $theme_listing_hours}
			<div class="listing-schema-hours">
				<span class="listing-schema-hours-header">Hours:</span>
				{assign var='h' value=$theme_listing_hours|replace:'\r':'\n'}
				{foreach explode("\n", $h) as $hour}
					{if $hour}
						{assign var='hk' value=substr($hour, 0, strpos($hour, '|'))}
						{assign var='hv' value=substr($hour, strpos($hour, '|')+1)}
						<time property="openingHours" content="{$hk}" class="listing-schema-hours-hour">{$hv}</time>
					{/if}
				{/foreach}
			</div>
		{/if}
	</div>
{/if}
