<?php
/**
 * Update the parent of listing pages to match the new admin page for forms
 */

\Core\Datamodel\Dataset::Init()
	->update(['parenturl', '/formbuilder/admin'])
	->table('page')
	->where('baseurl LIKE /formbuilder/listing/%')
	->whereEquals('admin', 1)
	->execute();

\Core\Datamodel\Dataset::Init()
	->delete()
	->table('page')
	->where('baseurl LIKE /formbuilder/view/%')
	->execute();