<?php
/**
 * Core bootstrap helper file that includes all the necessary core files
 *
 * This file is the core of the application; it's responsible for setting up
 *  all the necessary paths, settings and includes.
 *
 * @package Core
 * @author Charlie Powell <charlie@evalagency.com>
 * @copyright Copyright (C) 2009-2017  Charlie Powell
 * @license GNU Affero General Public License v3 <http://www.gnu.org/licenses/agpl-3.0.txt>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/agpl-3.0.txt.
 */

// These are generally files required for getting the rest of the system loadable.
require_once ROOT_PDIR . "core/libs/core/SingletonInterface.php";
require_once ROOT_PDIR . 'core/libs/core/XMLLoader.php';
require_once ROOT_PDIR . 'core/libs/core/Component.php';
require_once ROOT_PDIR . 'core/libs/core/ComponentRequirement.php';
require_once ROOT_PDIR . 'core/libs/core/ComponentPageDefinition.php';
require_once ROOT_PDIR . 'core/libs/core/ComponentWidgetDefinition.php';
require_once ROOT_PDIR . 'core/libs/core/ComponentProvide.php';
require_once ROOT_PDIR . 'core/libs/core/Core.php';
