<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core\Parser\JPEGExif\Tags;

use Core\Parser\ImageMetaTag;

/**
 * Description of ExifField
 *
 * @author charlie
 */
class ExifFieldTag extends ImageMetaTag {
	
	public function __construct(array &$exif, string $field) {
		$this->title     = 'STRING_CORE_PARSER_IMAGEMETA_' . strtoupper($field);
		$this->raw       = $exif[ $field ];
		$this->value     = $exif[ $field ];
		
		$this->_parse($exif);
	}
	
	protected function _parse(array &$exif) {
		$this->formatted = $this->value;
	}
}
