<main class="width-wrapper">
	<h1>{t 'STRING_IMPORT_EXPORT_MANAGER'}</h1>

	<h2>{t 'STRING_EXPORT_SITE_ARCHIVE'}</h2>
	<p class="message-tutorial">
		Export the site content, uploaded files, or other supported resources to an archive tarball that can be saved for
		backup purposes, imported to a different site using the system importer, or sent to your development
		or design team for other work.  This archive file is browseable without needing special tools.
		<br/><br/>
		<em>** on Windows, you may need a third party tool to extract .tar files with the GUI</em>
	</p>
	{a href="/admin/export" class="button"}
		<i class="icon icon-upload"></i>
		<span>{t 'STRING_EXPORT'}...</span>
	{/a}

	<hr/>

	<h2>{t 'STRING_IMPORT_SITE_ARCHIVE'}</h2>
	<p class="message-tutorial">
		Import an existing archive tarball to this site.  Note, by importing an archive,
		<strong>files and content may be overwritten</strong> based on the settings selected in the export!
	</p>
	{a href="/admin/import" class="button"}
		<i class="icon icon-download"></i>
		<span>{t 'STRING_IMPORT'}...</span>
	{/a}
</main>