<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#" lang="en">
	<head>
		{css src="css/email.css" inline="1"}{/css}
		<meta name="viewport" content="width=100%; initial-scale=1; maximum-scale=5; minimum-scale=1; user-scalable=no;"/>
		{css src="css/custom.css" inline="1"}{/css}
		{css src="css/custom_email.css" inline="1"}{/css}
	</head>

	<body class="core-2019-emailskin skin-email {if isset($body_classes) && $body_classes} {$body_classes}{/if}">
	<div class="outer-wrapper">
		<header class="page-header">
			<div class="width-wrapper">
				<table>
					<tr>
						<td>
							{a href="`$smarty.const.ROOT_URL`" title="`$smarty.const.SITENAME|escape`" class="page-logo"}
								{if $smarty.const.SITEEMAILLOGO}
									{img src="`$smarty.const.SITEEMAILLOGO`" alt="`$smarty.const.SITENAME|escape`" inline="1"}
								{elseif $smarty.const.SITELOGO}
									{img src="`$smarty.const.SITELOGO`" alt="`$smarty.const.SITENAME|escape`" inline="1"}
								{else}
									{img src="assets/images/logo.png" alt="`$smarty.const.SITENAME|escape`" inline="1"}
								{/if}
							{/a}
						</td>
						<td>
							{widgetarea name="Header"}
						</td>
					</tr>
				</table>
			</div>
		</header>

		<div class="page-content">
            {$body}
		</div>

		<footer class="page-footer">
			<div class="width-wrapper">
                {widgetarea name="Footer"}
			</div>
		</footer>
	</div>
	</body>
</html>
